package com.persagy.proxy.adm.constant;

import lombok.Getter;

/**
 * 业务空间类型
 * 
 * @version 1.0.0
 * @company persagy 
 * @author zhangqiankun
 * @date 2021年9月6日 下午3:43:35
 */
@Getter
public enum SpaceTypeEnum {

	GeneralZone("GeneralZone", "物业分区"),
	PowerSupplyZone("PowerSupplyZone", "供电分区"),
	LightingZone("LightingZone", "照明分区"),
	NetworkZone("NetworkZone", "网络分区"),
	AirConditioningZone("AirConditioningZone", "空调分区"),
	HeatingZone("HeatingZone", "采暖分区"),
	CleanZone("CleanZone", "洁净分区"),
	DomesticWaterSupplyZone("DomesticWaterSupplyZone", "生活给水分区"),
	FireZone("FireZone", "防火分区"),
	SecurityZone("SecurityZone", "安防分区"),
	TenantZone("TenantZone", "租户分区"),
	FunctionZone("FunctionZone", "功能分区"),
	PassengerFlowZone("PassengerFlowZone", "客流分区"),
	EvacuateZone("EvacuateZone", "疏散分区"),
	EnvironmentZone("EnvironmentZone", "环境分区"),
	OtherZone("OtherZone", "其他分区"),
	MajorOperationZone("MajorOperationZone", "主要功能区"),
	ParkingZone("ParkingZone", "停车分区");

	private String code;
    private String desc;

    SpaceTypeEnum(String code, String desc) {
        this.code = code;
        this.desc = desc;
    }


    
}
